com.google.cloud.dataflow.sdk.runners

## Interface DataflowPipelineTranslator.TransformTranslator<TransformT extends PTransform>

All Known Implementing Classes:
  DataflowPipelineRunner.BatchBigQueryIONativeReadTranslator

Enclosing class:
  DataflowPipelineTranslator

    public static interface DataflowPipelineTranslator.TransformTranslator<TransformT extends PTransform>

A `DataflowPipelineTranslator.TransformTranslator` knows how to translate a particular subclass of `PTransform` for the Cloud Dataflow service. It does so by mutating the `DataflowPipelineTranslator.TranslationContext`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `translate(TransformT transform, DataflowPipelineTranslator.TranslationContext context)`

### Method Detail

#### translate

    void translate(TransformT transform,
                   DataflowPipelineTranslator.TranslationContext context)